package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.WorkOrderInfo;
import com.ruoyi.system.domain.vo.WordVo;

/**
 * 工单信息Service接口
 * 
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IWorkOrderInfoService 
{
    /**
     * 查询工单信息
     * 
     * @param orderId 工单信息主键
     * @return 工单信息
     */
    public WorkOrderInfo selectWorkOrderInfoByOrderId(String orderId);

    /**
     * 查询工单信息列表
     * 
     * @param workOrderInfo 工单信息
     * @return 工单信息集合
     */
    public List<WorkOrderInfo> selectWorkOrderInfoList(WorkOrderInfo workOrderInfo);

    /**
     * 新增工单信息
     * 
     * @param workOrderInfo 工单信息
     * @return 结果
     */
    public int insertWorkOrderInfo(WorkOrderInfo workOrderInfo);

    /**
     * 修改工单信息
     * 
     * @param workOrderInfo 工单信息
     * @return 结果
     */
    public int updateWorkOrderInfo(WorkOrderInfo workOrderInfo);

    /**
     * 批量删除工单信息
     * 
     * @param orderIds 需要删除的工单信息主键集合
     * @return 结果
     */
    public int deleteWorkOrderInfoByOrderIds(String[] orderIds);

    /**
     * 删除工单信息信息
     * 
     * @param orderId 工单信息主键
     * @return 结果
     */
    public int deleteWorkOrderInfoByOrderId(String orderId);

    int jd(WorkOrderInfo workOrderInfo);

    AjaxResult dzgd(String orderId);

    AjaxResult qm(WordVo wordVo);

    AjaxResult lc();

    AjaxResult fw();

    AjaxResult bj();

    AjaxResult statisticsJd();

    AjaxResult dbNum();

    AjaxResult monthPx(String time);

    AjaxResult yearPx(String time);

    AjaxResult yearFwlx(String time);

    AjaxResult yearLc(String time);

    AjaxResult yearMonth(String time);

    AjaxResult deptLc(String time);
}
